Subject: Undeliverable package
From: JOHN H & LAURIE LAVILLE <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 6 Mar 2025 19:30:37 +0000 (UTC)

Hi, 
  I ordered two King Size quilts (total $109.12) from Amazon on March 1, 2025 (Order # 113-3092784-1074629 )
Amazon states that they were undeliverable and a refund will be issued. I think I know what the problem was and wanted to see if i can reroute them to a new address.
The home we shipped them to is a vacation home that does not have a mailbox, but does get package delivery. 
If you have not refunded the money, can you please just ship them to:
Laurie Laville 224 Woodgate Blvd. Baton Rouge, LA        70808
Thank you,
Laurie Laville(225)975-1775